Articles of homebrew

Qual é a maneira sugerida para instalar o brew, o node.js, o io.js, o nvm, o npm no OS X?

Eu estou tentando usar homebrew tanto quanto possível. Qual é a maneira sugerida para instalar o seguinte no OS X? node.js io.js nvm npm e esperamos apoiar o desenvolvimento para: iônico ngCordova

Como usar o GNU sed no Mac OS X

No Mac OS 10.10.3, instalei o gnu–sed digitando: brew install gnu-sed –default-names Quando eu o digito novamente, recebo a mensagem: gnu-sed-4.2.2 já instalado No entanto, mesmo depois de reiniciar o sistema e reiniciar o Terminal, ainda não consigo usar a versão GNU do sed. Por exemplo: echo a | sed ‘s_A_X_i’ retorna: bad flag no […]

Bower: “comando não encontrado” após a instalação

Eu pareço estar recebendo o seguinte quando executo npm install bower -g /usr/local/share/npm/bin/bower -> /usr/local/share/npm/lib/node_modules/bower/bin/bower bower@0.8.6 /usr/local/share/npm/lib/node_modules/bower Infelizmente a execução de qualquer um dos comandos bower retorna -bash: bower: command not found which npm retorna /usr/local/bin/npm e executando which node retorna /usr/local/bin/node .

Homebrew: Não foi possível ligar simbolicamente, / usr / local / bin não é gravável

Ao instalar o tig , o HomeBrew está exibindo os seguintes problemas ao instalar uma dependência: Error: The `brew link` step did not complete successfully The formula built, but is not symlinked into /usr/local Could not symlink bin/a2x /usr/local/bin is not writable. You can try again using: brew link asciidoc

nó 5.5.0 já instalado mas nó -v busca com “v4.2.1” no OS X e homebrew?

Estou tentando atualizar meu nodejs v4.2.1 para a versão mais recente e consegui isso com sucesso. Mas o node -v ainda me dá ‘-v4.2.1’.

Erro: a etapa ‘link brew’ não foi concluída com êxito

Estou tentando instalar o node.js via Homebrew. Infelizmente, recebo este erro: ➜ ~ brew install node ==> Downloading http://nodejs.org/dist/v0.8.10/node-v0.8.10.tar.gz ######################################################################## 100.0% ==> ./configure –prefix=/usr/local/Cellar/node/0.8.10 ==> make install ==> Caveats Homebrew installed npm. We recommend prepending the following path to your PATH environment variable to have npm-installed binaries picked up: /usr/local/share/npm/bin Warning: Could not link node. […]

Símbolo do Pacote Ruby não encontrado: _SSLv2_client_method (LoadError)

Eu estava tentando fazer algumas atualizações no openssl usando homebrew e de alguma forma consegui quebrar tudo. Eu não posso fazer nada agora, isso é o que eu recebo quando tento fazer bundle install: $ bundle install /Users/asServer/.rbenv/versions/2.1.2/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require’: dlopen(/Users/asServer/.rbenv/versions/2.1.2/lib/ruby/2.1.0/x86_64-darwin13.0/openssl.bundle, 9): Symbol not found: _SSLv2_client_method (LoadError) Referenced from: /Users/asServer/.rbenv/versions/2.1.2/lib/ruby/2.1.0/x86_64-darwin13.0/openssl.bundle Expected in: /usr/local/opt/openssl/lib/libssl.1.0.0.dylib in /Users/asServer/.rbenv/versions/2.1.2/lib/ruby/2.1.0/x86_64-darwin13.0/openssl.bundle – […]

Postgres não pôde se conectar ao servidor

Depois que eu fiz atualização de atualização e atualização brew, meu postgres tem algum problema. Eu tentei desinstalar postgres e instalar novamente, mas não funcionou tão bem. Esta é a mensagem de erro (também recebi esta mensagem de erro quando tento fazer rake db: migrate) $ psql psql: could not connect to server: No such […]

Como iniciar o servidor PostgreSQL no Mac OS X?

ATUALIZAÇÃO FINAL: Eu tinha esquecido de executar o comando initdb. executando este comando ps auxwww | grep postgres Eu vejo que o postgres não está rodando > ps auxwww | grep postgres remcat 1789 0.0 0.0 2434892 480 s000 R+ 11:28PM 0:00.00 grep postgres Isso levanta a questão: Como faço para iniciar o servidor postgresql? […]

Como eu uso o Python instalado como o Python padrão?

Eu tento mudar para o Homebrew (depois de usar o fink e o macport) no Mac OS X 10.6.2. Eu instalei o Python 2.7 com brew install python O problema é que, ao contrário do Macport, parece que não há utilitário python_select, e meu mac python padrão é sempre padrão which python Me dê /usr/bin/python […]